Vessel Operations
Get Vessel Particulars
Retrieve vessel specifications including dimensions, tonnage, build information, and capacity data. Costs 3 credits per request. Rate limit: 50 requests/min.
GET
/
get-vessel-particulars
Get Vessel Particulars
curl --request GET \
--url https://datadocked.com/api/vessels_operations/get-vessel-particulars \
--header 'x-api-key: <api-key>'import requests
url = "https://datadocked.com/api/vessels_operations/get-vessel-particulars"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://datadocked.com/api/vessels_operations/get-vessel-particulars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": {
"name": "<string>",
"imo": "<string>",
"mmsi": "<string>",
"countryIso": "<string>",
"country": "<string>",
"shipType": "<string>",
"typeSpecific": "<string>",
"grossTonnage": "<string>",
"netTonnage": "<string>",
"teu": "<string>",
"length": "<string>",
"beam": "<string>",
"yearOfBuilt": "<string>",
"callsign": "<string>",
"eni": "<string>",
"deadweight": "<string>",
"updateTime": "<string>",
"bale": "<string>",
"hull": "<string>",
"ballastWater": "<string>",
"freshWater": "<string>",
"crudeOil": "<string>",
"gas": "<string>",
"grain": "<string>",
"builder": "<string>",
"material": "<string>",
"placeOfBuild": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Retrieve vessel specifications including dimensions, tonnage, build information, and capacity data.
Credits: 1 credit per request
Response Fields
- Identification: Name, IMO, MMSI, callsign, flag
- Dimensions: Length, beam, deadweight
- Tonnage: Gross tonnage, net tonnage, TEU capacity
- Build Info: Year built, builder, place of build, hull material
- Capacity: Ballast water, crude oil, fresh water, gas, grain, bale
Authorizations
Your personal API key found in your profile dashboard at https://datadocked.com/dashboard/my_keys
Query Parameters
The IMO or MMSI number of the vessel you want to query.
Response
Successful response with vessel particulars
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Vessel Particulars
